Skip to main content
PATCH
/
storage
/
{id}
Resize persistent volume
curl --request PATCH \
  --url https://runcrate.ai/api/v1/storage/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "size_gb": 5005
}
'
{
  "data": {
    "id": "<string>",
    "name": "<string>",
    "sizeGb": 123,
    "status": "<string>",
    "region": "<string>",
    "providerType": "<string>",
    "deploymentId": "<string>",
    "projectId": "<string>",
    "environmentId": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "updatedAt": "2023-11-07T05:31:56Z"
  }
}

Documentation Index

Fetch the complete documentation index at: https://runcrate.ai/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use a Runcrate API key with the rc_live_* prefix as the bearer token. Create one at https://www.runcrate.ai/dashboard/api-keys.

Path Parameters

id
string
required

Body

application/json
size_gb
integer
required

New size in GB. Must be greater than current size.

Required range: 10 <= x <= 10000

Response

Resized volume.

data
object
required